# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate newtype_derive

Name:           rust-%{crate}
Version:        0.1.6
Release:        5%{?dist}
Summary:        Macros for deriving common traits for newtype structures

# Upstream license specification: MIT/Apache-2.0
# https://github.com/DanielKeep/rust-custom-derive/issues/36
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/newtype_derive
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump rustc_version to 0.2, https://github.com/DanielKeep/rust-custom-derive/pull/37
Patch0:         newtype_derive-fix-metadata.diff
# Make it work with rustc_version v0.2
Patch1:         0001-bump-rustc_version-to-0.2.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(rustc_version/default) >= 0.2.0 with crate(rustc_version/default) < 0.3.0)
%if %{with check}
BuildRequires:  (crate(custom_derive/default) >= 0.1.1 with crate(custom_derive/default) < 0.2.0)
%endif

%global _description \
This crate provides macros for deriving common traits for newtype structures.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+std-unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-unstable-devel %{_description}

This package contains library source intended for building other packages
which use "std-unstable" feature of "%{crate}" crate.

%files       -n %{name}+std-unstable-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -N
# https://github.com/DanielKeep/rust-custom-derive/issues/35
grep -IUlr $'\r' | xargs sed -i 's/\r$//'
%patch0 -p1
%patch1 -p2
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Nov 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.6-5
- Adapt to new packaging

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.6-2
- Rebuild for rust-packaging v5

* Tue Dec 05 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.6-1
- Initial package
